package cn.com.poc.human_resources.entity.position;

/**
 * @author alex.yao
 * @date 2025/9/30
 */
public class BaseInfo {

    /** job_title
     *职位名称
     */
    private java.lang.String jobTitle;

    public java.lang.String getJobTitle(){
        return this.jobTitle;
    }

    public void setJobTitle(java.lang.String jobTitle){
        this.jobTitle = jobTitle;
    }
    /** department
     *所属部门
     */
    private java.lang.String department;

    public java.lang.String getDepartment(){
        return this.department;
    }

    public void setDepartment(java.lang.String department){
        this.department = department;
    }
    /** work_location
     *工作地址
     */
    private java.lang.String workLocation;

    public java.lang.String getWorkLocation(){
        return this.workLocation;
    }

    public void setWorkLocation(java.lang.String workLocation){
        this.workLocation = workLocation;
    }
    /** job_nature
     *工作性质
     */
    private java.lang.String jobNature;

    public java.lang.String getJobNature(){
        return this.jobNature;
    }

    public void setJobNature(java.lang.String jobNature){
        this.jobNature = jobNature;
    }
    /** number_recruits
     *招聘人数
     */
    private java.lang.Integer numberOfRecruits;

    public java.lang.Integer getNumberOfRecruits(){
        return this.numberOfRecruits;
    }

    public void setNumberOfRecruits(java.lang.Integer numberOfRecruits){
        this.numberOfRecruits = numberOfRecruits;
    }
    /** work_experience
     *工作经验
     */
    private java.lang.String workExperience;

    public java.lang.String getWorkExperience(){
        return this.workExperience;
    }

    public void setWorkExperience(java.lang.String workExperience){
        this.workExperience = workExperience;
    }
    /** educational_re
     *学历要求
     */
    private java.lang.String educationalRe;

    public java.lang.String getEducationalRe(){
        return this.educationalRe;
    }

    public void setEducationalRe(java.lang.String educationalRe){
        this.educationalRe = educationalRe;
    }
    /** salary_range
     *薪资要求
     */
    private java.lang.String salaryRange;

    public java.lang.String getSalaryRange(){
        return this.salaryRange;
    }

    public void setSalaryRange(java.lang.String salaryRange){
        this.salaryRange = salaryRange;
    }
}
